Subject: Re: [PATCH net-2.6] 3c59x: Remove incorrect locking; correct documented lock hierarchy

From: Ben Hutchings <[email-masked]>
Date: Thu, 02 Sep 2010 01:42:58 +0100

On Wed, 2010-09-01 at 17:37 -0700, David Miller wrote:
> From: Ben Hutchings <[email-masked]>
> Date: Wed, 01 Sep 2010 23:08:27 +0100
> 
> > I think this is safe after all because ethtool and MII ioctls are all
> > serialised by the RTNL.
> 
> Well since you said that there was a regression that you're unable
> to reproduce, I was trying to find a probably cause for it :-)
> 
> I think you should work to resolve that report, and resend this
> locking patch once that is sorted out.

That regression seems to due to my *earlier* changes to locking.  This
new patch fixes a different regression I found while trying to reproduce
that, and it has not been applied in Debian yet.  Sorry for the
ambiguous wording.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.